Updating from 4.9 to 4.14 with 2015 Community I get a No 32 bit error

After installing VS 2015 Community I get this error when trying to create a blank project. or convert an old project…

An error occurred while trying to generate project files.

Running D:/Epic Games/4.14/Engine/Binaries/DotNET/UnrealBuildTool.exe -projectfiles -project=“C:/Users/kevin.mitchell/Documents/Unreal Projects/SilverLineSystem/SilverLineSystem.uproject” -game -rocket -progress
Discovering modules, targets and source code for project…
UnrealBuildTool Exception: ERROR: No 32-bit compiler toolchain found in C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\bin\cl.exe

Installer version:
Visual Studio Community 2015 with Update 3 – Free

I also ran into this prroblem these days. But finally I found out VS2015 don’t have C++ language as default. I just set up VS 2015 again and select C++, and then all works. Hope this could help.

Ill try this in the AM thx

This was my solution a couple days ago too. This is the answer.

worked ! thx

I was lazy and didn’t want to reinstall VS, so I looked here: Visual C++ in Visual Studio 2015 | Microsoft Docs

You can install the C++ tools by attempting to make a new C++ project. It looks like this:
118292-
Thanks so much for the answer!

If you still have the VS installing kicking around then launch, and choose modify, the C++ module you need to check is pretty much at the top of the list.
So no need to re-install anyhow.

Thanks!
Saved my day

Saved my hide as well, cheers!

Just don’t forget to restart your computer after modifying VS.

Or follow this link.

http://landinghub.visualstudio.com/visual-cpp-build-tools

Yep, this solution worked. Thanks!

CometGoat how did you get the option to show Install Visual C++ 2015 I tried just about everything but nothing works I don’t have this in my VS.

Thanks CometGoat, you saved my saturday coding morning! ^^

I solved this error like this:

  1. Repairing Visual Studio 2017
  2. Uninstalling and reinstalling completely Unreal Engine.

I recently encountered this error when trying to package to windows 64-bit. Following this managed to remove the error and I packaged successfully. Thank you very much.